<layout>

    <data>

        <variable
            name="visible"
            type="Boolean" />

        <import type="android.view.View" />
    </data>

    <RelativeLayout xmlns:android="http://schemas.android.com/apk/res/android"
        xmlns:tools="http://schemas.android.com/tools"
        android:layout_width="match_parent"
        android:layout_height="match_parent">

        <androidx.core.widget.NestedScrollView
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:fillViewport="true">

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:orientation="vertical"
                android:padding="@dimen/activity_horizontal_margin"
                tools:context=".fragment.AccountFragment">

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:baselineAligned="false"
                    android:orientation="horizontal">

                    <LinearLayout
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_margin="@dimen/margin_small"
                        android:layout_weight="1"
                        android:background="@drawable/edit_background"
                        android:orientation="vertical"
                        android:padding="4dp">

                        <TextView
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:paddingStart="4dp"
                            android:paddingEnd="4dp"
                            android:text="@string/name"
                            android:textColor="@color/colorPrimary"
                            android:textSize="@dimen/small_textsize"
                            android:textStyle="bold" />

                        <EditText
                            android:id="@+id/dealer_name"
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content"
                            android:background="@android:color/transparent"
                            android:enabled="false"
                            android:inputType="text"
                            android:maxLines="1"
                            android:paddingStart="4dp"
                            android:paddingEnd="4dp"
                            android:textColor="@color/colorPrimary"
                            android:textCursorDrawable="@null"
                            android:textSize="@dimen/medium_textsize" />
                    </LinearLayout>

                    <LinearLayout
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_margin="@dimen/margin_small"
                        android:layout_weight="1"
                        android:background="@drawable/edit_background"
                        android:orientation="vertical"
                        android:padding="4dp"
                        android:visibility="gone">

                        <TextView
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:paddingStart="4dp"
                            android:paddingEnd="4dp"
                            android:text="@string/last_name"
                            android:textColor="@color/colorPrimary"
                            android:textSize="@dimen/small_textsize" />

                        <EditText
                            android:id="@+id/dealer_lastname"
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content"
                            android:background="@android:color/transparent"
                            android:inputType="text"
                            android:maxLines="1"
                            android:paddingStart="4dp"
                            android:paddingEnd="4dp"
                            android:textColor="@color/colorPrimary"
                            android:textCursorDrawable="@null"
                            android:textSize="@dimen/medium_textsize" />
                    </LinearLayout>

                </LinearLayout>

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:orientation="horizontal">

                    <LinearLayout
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_margin="@dimen/margin_small"
                        android:layout_weight=".5"
                        android:background="@drawable/edit_background"
                        android:orientation="vertical"
                        android:padding="4dp">

                        <TextView
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:paddingStart="4dp"
                            android:paddingEnd="4dp"
                            android:text="@string/email"
                            android:textColor="@color/colorPrimary"
                            android:textSize="@dimen/small_textsize"
                            android:textStyle="bold" />

                        <TextView
                            android:id="@+id/dealer_email"
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content"
                            android:background="@android:color/transparent"
                            android:ellipsize="marquee"
                            android:enabled="false"
                            android:marqueeRepeatLimit="marquee_forever"
                            android:paddingStart="4dp"
                            android:paddingEnd="4dp"
                            android:singleLine="true"
                            android:textColor="@color/colorPrimary"
                            android:textCursorDrawable="@null"
                            android:textSize="@dimen/medium_textsize" />
                    </LinearLayout>

                    <LinearLayout
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_margin="@dimen/margin_small"
                        android:layout_weight=".5"
                        android:background="@drawable/edit_background"
                        android:orientation="vertical"
                        android:padding="4dp">

                        <TextView
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:paddingStart="4dp"
                            android:paddingEnd="4dp"
                            android:text="@string/phone_number"
                            android:textColor="@color/colorPrimary"
                            android:textSize="@dimen/small_textsize"
                            android:textStyle="bold" />

                        <EditText
                            android:id="@+id/dealer_phone"
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content"
                            android:background="@android:color/transparent"
                            android:enabled="false"
                            android:inputType="phone"
                            android:maxLines="1"
                            android:paddingStart="4dp"
                            android:paddingEnd="4dp"
                            android:textColor="@color/colorPrimary"
                            android:textCursorDrawable="@null"
                            android:textSize="@dimen/medium_textsize" />
                    </LinearLayout>

                </LinearLayout>

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_margin="@dimen/margin_small"
                    android:background="@drawable/edit_background"
                    android:orientation="vertical"
                    android:padding="4dp">

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:paddingStart="4dp"
                        android:paddingEnd="4dp"
                        android:text="@string/address1"
                        android:textColor="@color/colorPrimary"
                        android:textSize="@dimen/small_textsize"
                        android:textStyle="bold" />

                    <EditText
                        android:id="@+id/dealer_address1"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:background="@android:color/transparent"
                        android:enabled="false"
                        android:inputType="text"
                        android:maxLines="1"
                        android:paddingStart="4dp"
                        android:paddingEnd="4dp"
                        android:textColor="@color/colorPrimary"
                        android:textCursorDrawable="@null"
                        android:textSize="@dimen/medium_textsize" />
                </LinearLayout>

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_margin="@dimen/margin_small"
                    android:background="@drawable/edit_background"
                    android:orientation="vertical"
                    android:padding="4dp">

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:paddingStart="4dp"
                        android:paddingEnd="4dp"
                        android:text="@string/address2"
                        android:textColor="@color/colorPrimary"
                        android:textSize="@dimen/small_textsize"
                        android:textStyle="bold" />

                    <EditText
                        android:id="@+id/dealer_address2"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:background="@android:color/transparent"
                        android:enabled="false"
                        android:inputType="text"
                        android:maxLines="1"
                        android:paddingStart="4dp"
                        android:paddingEnd="4dp"
                        android:textColor="@color/colorPrimary"
                        android:textCursorDrawable="@null"
                        android:textSize="@dimen/medium_textsize" />
                </LinearLayout>

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:baselineAligned="false"
                    android:orientation="horizontal">

                    <LinearLayout
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_margin="@dimen/margin_small"
                        android:layout_weight="1"
                        android:background="@drawable/edit_background"
                        android:orientation="vertical"
                        android:padding="4dp">

                        <TextView
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:paddingStart="4dp"
                            android:paddingEnd="4dp"
                            android:text="@string/city"
                            android:textColor="@color/colorPrimary"
                            android:textSize="@dimen/small_textsize"
                            android:textStyle="bold" />

                        <EditText
                            android:id="@+id/dealer_city"
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content"
                            android:background="@android:color/transparent"
                            android:enabled="false"
                            android:inputType="text"
                            android:maxLines="1"
                            android:paddingStart="4dp"
                            android:paddingEnd="4dp"
                            android:textColor="@color/colorPrimary"
                            android:textCursorDrawable="@null"
                            android:textSize="@dimen/medium_textsize" />
                    </LinearLayout>

                    <LinearLayout
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_margin="@dimen/margin_small"
                        android:layout_weight="1"
                        android:background="@drawable/edit_background"
                        android:orientation="vertical"
                        android:padding="4dp">

                        <TextView
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:paddingStart="4dp"
                            android:paddingEnd="4dp"
                            android:text="@string/state"
                            android:textColor="@color/colorPrimary"
                            android:textSize="@dimen/small_textsize"
                            android:textStyle="bold" />

                        <EditText
                            android:id="@+id/dealer_state"
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content"
                            android:background="@android:color/transparent"
                            android:enabled="false"
                            android:inputType="phone"
                            android:maxLines="1"
                            android:paddingStart="4dp"
                            android:paddingEnd="4dp"
                            android:textColor="@color/colorPrimary"
                            android:textCursorDrawable="@null"
                            android:textSize="@dimen/medium_textsize" />
                    </LinearLayout>
                </LinearLayout>

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:baselineAligned="false"
                    android:orientation="horizontal">

                    <LinearLayout
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_margin="@dimen/margin_small"
                        android:layout_weight="1"
                        android:background="@drawable/edit_background"
                        android:orientation="vertical"
                        android:padding="4dp">

                        <TextView
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:paddingStart="4dp"
                            android:paddingEnd="4dp"
                            android:text="@string/zip_code"
                            android:textColor="@color/colorPrimary"
                            android:textSize="@dimen/small_textsize"
                            android:textStyle="bold" />

                        <EditText
                            android:id="@+id/dealer_zipcode"
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content"
                            android:background="@android:color/transparent"
                            android:enabled="false"
                            android:inputType="text"
                            android:maxLines="1"
                            android:paddingStart="4dp"
                            android:paddingEnd="4dp"
                            android:textColor="@color/colorPrimary"
                            android:textCursorDrawable="@null"
                            android:textSize="@dimen/medium_textsize" />
                    </LinearLayout>

                    <LinearLayout
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_margin="@dimen/margin_small"
                        android:layout_weight="1"
                        android:background="@drawable/edit_background"
                        android:orientation="vertical"
                        android:padding="4dp">

                        <TextView
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:paddingStart="4dp"
                            android:paddingEnd="4dp"
                            android:text="@string/country"
                            android:textColor="@color/colorPrimary"
                            android:textSize="@dimen/small_textsize"
                            android:textStyle="bold" />

                        <EditText
                            android:id="@+id/dealer_country"
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content"
                            android:background="@android:color/transparent"
                            android:enabled="false"
                            android:inputType="phone"
                            android:maxLines="1"
                            android:paddingStart="4dp"
                            android:paddingEnd="4dp"
                            android:textColor="@color/colorPrimary"
                            android:textCursorDrawable="@null"
                            android:textSize="@dimen/medium_textsize" />
                    </LinearLayout>
                </LinearLayout>

                <LinearLayout
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_gravity="center"
                    android:layout_marginTop="@dimen/margin_large"
                    android:orientation="vertical">

                    <Button
                        android:id="@+id/btnCallDealer"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_gravity="center"
                        android:background="@drawable/button_background"
                        android:enabled="@{visible?false:true}"
                        android:minHeight="@dimen/button_minheight"
                        android:paddingLeft="@dimen/button_padding"
                        android:paddingRight="@dimen/button_padding"
                        android:text="@string/call_us"
                        android:textAllCaps="false"
                        android:textColor="@android:color/white"
                        android:textSize="@dimen/small_textsize" />

                    <Button
                        android:id="@+id/btnEmailDealer"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_gravity="center"
                        android:layout_marginTop="@dimen/margin_medium"
                        android:background="@drawable/button_background"
                        android:enabled="@{visible?false:true}"
                        android:minHeight="@dimen/button_minheight"
                        android:paddingLeft="@dimen/button_padding"
                        android:paddingRight="@dimen/button_padding"
                        android:text="@string/request_service"
                        android:textAllCaps="false"
                        android:textColor="@android:color/white"
                        android:textSize="@dimen/small_textsize" />

                </LinearLayout>

            </LinearLayout>
        </androidx.core.widget.NestedScrollView>

        <ProgressBar
            android:id="@+id/progressBar"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_centerInParent="true"
            android:background="@android:color/transparent"
            android:indeterminate="true"
            android:overScrollMode="always"
            android:visibility="@{visible?View.VISIBLE:View.GONE}" />

    </RelativeLayout>
</layout>